| AnyConnect Secure Mobility Client 5.1.10.233

Public Member Functions | List of all members
PreferenceInfo Class Reference

`#include <PreferenceInfo.h>`

## Public Member Functions
unsigned int | countPreferences () const
bool | getPreference (const PreferenceId &preferenceId, OUT Preference *&rpPreference) const
const std::vector< Preference * > & | getListPreferences () const
const tstring | getPreferenceHeading () const
| PreferenceInfo (const PreferenceInfo &existingPrefInfo)
PreferenceInfo & | operator= (const PreferenceInfo &existingPrefInfo)
Public Member Functions inherited from PreferenceInfoBase
PreferenceScope | getPreferencesType () const
void | setPreferencesType (const PreferenceScope scope)
unsigned int | countPreferences () const
const PreferenceVector & | getListPreferences () const
PreferenceVector | getAllPreferences () const
void | getAllPreferencesSorted (OUT PrefWithDepthList &outSortedPrefs) const
bool | getPreference (const PreferenceId preferenceId, OUT Preference *&rpPreference) const
bool | addPreference (Preference *pPreference)
bool | addNewPreference (const tstring &name, const tstring &value, ApiStringMap &attributes, const tstring &parent=EmptyString)
bool | movePreference (Preference *pPreference, unsigned int &position)
bool | removeAndDeletePreference (const PreferenceId &preferenceId, bool bDontRemoveFromParent=false)
void | removeAllPreferences ()
void | setPreferenceHeading (const tstring &preferenceHeading)
const tstring | getPreferenceHeading () const
PreferenceInfoBase & | operator= (const PreferenceInfoBase &existingPrefInfo)
| PreferenceInfoBase (const PreferenceInfoBase &existingPrefInfo)
tstring | getString ()

## Additional Inherited Members
Static Public Member Functions inherited from PreferenceInfoBase
static PreferenceInfo * | createDefaultPreferenceInfo ()

## Detailed Description

Class representing a collection of preferences that are grouped together. Provides the ability to retrieve an ordered list of preferences, as well as as a generic heading that describes this grouping of preferences.

## Constructor & Destructor Documentation

## ◆ ~PreferenceInfo()

virtual PreferenceInfo::~PreferenceInfo | ( |  | ) |
| inline virtual

66{};

## ◆ PreferenceInfo()

PreferenceInfo::PreferenceInfo | ( | const PreferenceInfo & | existingPrefInfo | ) |
| inline explicit

Deep Copy Constructor

73 :
74 PreferenceInfoBase(existingPrefInfo)
75 {
76 }

## Member Function Documentation

## ◆ countPreferences()

unsigned int PreferenceInfo::countPreferences | ( |  | ) | const

This method returns the count of any available Preference objects (both parent and child).

## ◆ getListPreferences()

const std::vector< Preference * > & PreferenceInfo::getListPreferences | ( |  | ) | const

Returns a vector of preferences. The order is significant, and represents the visual order with which prompts should be displayed. To access the child preferences of the returned preferences use Preference::getChildren()

## ◆ getPreference()

bool PreferenceInfo::getPreference | ( | const PreferenceId & | preferenceId,
|  | OUT Preference *& | rpPreference ) const

If there exists a Preference with the passed PreferenceId, returns a pointer to that Preference object in the passed rpPreference pointer. Returns false if no such preference could be found.

## ◆ getPreferenceHeading()

const tstring PreferenceInfo::getPreferenceHeading | ( |  | ) | const

Returns a string that describes the contents of this PreferenceInfo. User Interfaces should display this string at the top of the dialog or screen used to display preference controls/widgets.

## ◆ operator=()

PreferenceInfo & PreferenceInfo::operator= | ( | const PreferenceInfo & | existingPrefInfo | ) |
| inline

Deep Copy Assignment Operator

82 {
83 if (std::addressof(existingPrefInfo) != this)
84 {
85 PreferenceInfoBase::operator=(existingPrefInfo);
86 }
87 return *this;
88 }